> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zeckta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an SMS campaign

> Queues a bulk campaign for processing.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/messaging/sms/campaigns
openapi: 3.1.0
info:
  title: Zeckta Messaging API
  description: |
    Zeckta Messaging API provides SMS messaging,
    OTP verification, Sender Name management,
    delivery tracking, campaign messaging,
    and webhook integrations.
  contact:
    name: Zeckta
    url: https://zeckta.com
    email: support@zeckta.com
  license:
    name: Commercial
  version: 1.0.0
servers:
  - url: https://api.zeckta.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: SMS Messaging
    description: RESTful endpoints for single and bulk SMS
  - name: Sender Names
    description: SMS sender name management
  - name: Workspace
    description: Manage and inspect workspace / account details
  - name: OTP Service
    description: RESTful endpoints for 2-Factor Authentication
paths:
  /v1/messaging/sms/campaigns:
    post:
      tags:
        - SMS Messaging
      summary: Create an SMS campaign
      description: Queues a bulk campaign for processing.
      operationId: createCampaign
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CampaignMessageRequestDTO'
        required: true
      responses:
        '202':
          description: Campaign accepted for processing
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/ZecktaApiResponseCampaignMessageResponseDTO
        '400':
          description: Invalid request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '402':
          description: Payment Required
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '404':
          description: Not Found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '409':
          description: Conflict
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '429':
          description: Rate limit exceeded
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
components:
  schemas:
    CampaignMessageRequestDTO:
      type: object
      properties:
        name:
          type: string
          maxLength: 64
          minLength: 0
        src:
          type: string
          maxLength: 16
          minLength: 0
        dests:
          type: array
          items:
            type: string
            maxLength: 32
            minLength: 0
            pattern: ^(?:\+?[1-9]\d{7,14}|0\d{9})$
          maxItems: 1000
          minItems: 0
        message:
          type: string
          maxLength: 2000
          minLength: 0
        priority:
          type: string
          pattern: (?i)normal|medium|high
        callbackUrl:
          type: string
        scheduledAt:
          type: string
          format: date-time
      required:
        - dests
        - message
        - name
        - src
    ZecktaApiResponseCampaignMessageResponseDTO:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/CampaignMessageResponseDTO'
        requestId:
          type: string
    ZecktaApiResponseObject:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
        requestId:
          type: string
    CampaignMessageResponseDTO:
      type: object
      properties:
        status:
          type: string
        timestamp:
          type: string
        campaignId:
          type: string
          format: uuid
        workspaceId:
          type: integer
          format: int64
        src:
          type: string
        encoding:
          type: string
        segments:
          type: integer
          format: int32
        unitsPerMessage:
          type: integer
          format: int64
        recipients:
          type: integer
          format: int32
        totalUnits:
          type: integer
          format: int64
        totalCost:
          type: integer
          format: int64
        priority:
          type: string
        messages:
          type: array
          items:
            $ref: '#/components/schemas/MessageSummaryDTO'
    MessageSummaryDTO:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        dest:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      description: 'Provide your Zeckta API Key using: Bearer YOUR_API_KEY'
      scheme: bearer
      bearerFormat: API Key

````